<?php

declare(strict_types=1);

namespace Core\General\Exception;

final class DeleteException extends \Exception
{
    private function __construct(string $message = '')
    {
        parent::__construct($message);
    }

    public static function becauseEntityCannotBeDeleted(string $message): self
    {
        return new self($message);
    }
}
